#include "cmwparamcut.h"
#include "ui_cmwparamcut.h"
#include "cmwparamcutside.h"
#include "logic_compdef.h"
CMWParamCut::CMWParamCut(QWidget *parent) :
	CMWidget(parent),
	ui(new Ui::CMWParamCut)
{
	ui->setupUi(this);
	mchildwidgets[0]=new CMWParamCutSide(this,SIDE_A);
	mchildwidgets[1]=new CMWParamCutSide(this,SIDE_B);
	ui->verticalLayout->addWidget(mchildwidgets[0]);
	ui->verticalLayout_2->addWidget(mchildwidgets[1]);
}

CMWParamCut::~CMWParamCut()
{
	delete ui;
}

void CMWParamCut::MFresh()
{
	CMWidget::MFresh();
}
